From 78a4f3c47e4a14c28a402828a127b6a9e070115b Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 16:41:30 -0800
Subject: [PATCH 3/4] MacPorts Only: Don't embed the deployment target in the
 asm when using -fno-integrated-as

http://llvm.org/bugs/show_bug.cgi?id=21636

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 lib/CodeGen/AsmPrinter/AsmPrinter.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git llvm_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp macports_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp
index 1b429331a35..6b6aa3c65d3 100644
--- llvm_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp
+++ macports_master/lib/CodeGen/AsmPrinter/AsmPrinter.cpp
@@ -258,8 +258,10 @@ bool AsmPrinter::doInitialization(Module &M) {
   // alternative is duplicated code in each of the target asm printers that
   // use the directive, where it would need the same conditionalization
   // anyway.
-  const Triple &Target = TM.getTargetTriple();
-  OutStreamer->EmitVersionForTarget(Target);
+  if (MAI->useIntegratedAssembler()) {
+    const Triple &Target = TM.getTargetTriple();
+    OutStreamer->EmitVersionForTarget(Target);
+  }
 
   // Allow the target to emit any magic that it wants at the start of the file.
   EmitStartOfAsmFile(M);
-- 
2.17.1 (Apple Git-112)

